&REM ***************************************************
&REM *                    DUCFLT.SML                   *
&REM *                    Tom Merrifield               *
&REM *                    06/20/93                     *
&REM *                                                 *
&REM *   ARCPLOT: Part of the VT Cogeomapping project  *
&REM *   Used with DUCFLT                              *
&REM *   Uses a POINT COVERAGE %1PT                    *
&REM *    and a LINE  COVERAGE %1CL                    *
&REM *                                                 *
&REM *   Modifications:  G.J. Walsh  12/94             *
&REM ***************************************************
ASEL ducfltcl LINE
&rem LINESYM 3
LINEC 1
linesize .025
ARCS ducfltCL
NSEL ducfltCL ARCS
CLEARSEL
NSEL ducfltPT POINTS
TEXTFONT 3
TEXTC 1
TEXTSIZE .08
&REM         USES CUSTOM MARKERS FONT 18, PATTERN 33
&REM         MARKERS USE look-up table ducfltPT.LUT1 TO ROTATE MARKER
MARKERSET * 
32 
1 
33 
18 
.175 

MARKERSYM 32
ASEL ducfltPT POINTS TYPE = 'DT'
&type "plotting thrust teeth"
POINTMARKER ducfltPT symbol_ang ducfltpt.lut1  ANGLE  
CLEARSELECT
&REM                    USES CUSTOM MARKERS FONT 18, PATTERN 43
MARKERSET * 
32 
1 
43 
18 
.175 

CLEARSELECT
RESELECT ducfltPT POINTS TYPE = 'ODT'
&type "plotting overturned thrust teeth"
POINTMARKER ducfltPT symbol_ang ducfltpt.lut1  ANGLE  
CLEARSELECT
&REM                    POINT COVERAGE HAS 2 FIELDS 
&REM                    DIP  EITHER 'V' (V=90) OR ASCII-NUMERIC
&REM                    AZ   NUMERIC ANGLE 
CLEARSELECT   
RESEL ducfltPT POINTS symbol_ang > 345  AND symbol_ang <= 360 AND DIP <> 'V'
ASEL ducfltPT POINTS symbol_ang >= 0  AND symbol_ang < 15 AND DIP <> 'V'
POINTTEXT ducfltPT DIP UL
CLEARSELECT   
RESEL ducfltPT POINTS symbol_ang >= 15  AND symbol_ang < 45 AND DIP <> 'V'
POINTTEXT ducfltPT DIP UL
CLEARSELECT   
RESEL ducfltPT POINTS symbol_ang >= 45  AND symbol_ang < 75 AND DIP <> 'V'
POINTTEXT ducfltPT DIP UL                  
CLEARSELECT   
RESEL ducfltPT POINTS symbol_ang >= 75  AND symbol_ang < 105 AND DIP <> 'V'
POINTTEXT ducfltPT DIP CL                  
CLEARSELECT   
RESEL ducfltPT POINTS symbol_ang >= 105  AND symbol_ang < 135 AND DIP <> 'V'
POINTTEXT ducfltPT DIP LL
CLEARSELECT   
RESEL ducfltPT POINTS symbol_ang >= 135  AND symbol_ang < 165 AND DIP <> 'V'
POINTTEXT ducfltPT DIP LL
CLEARSELECT   
RESEL ducfltPT POINTS symbol_ang >= 165  AND symbol_ang < 195 AND DIP <> 'V'
POINTTEXT ducfltPT DIP LL
CLEARSELECT   
RESEL ducfltPT POINTS symbol_ang >= 195  AND symbol_ang < 225 AND DIP <> 'V'
POINTTEXT ducfltPT DIP LR
CLEARSELECT   
RESEL ducfltPT POINTS symbol_ang >= 225  AND symbol_ang < 255 AND DIP <> 'V'
POINTTEXT ducfltPT DIP LR
CLEARSELECT   
RESEL ducfltPT POINTS symbol_ang >= 255  AND symbol_ang < 285 AND DIP <> 'V'
POINTTEXT ducfltPT DIP CR
CLEARSELECT   
RESEL ducfltPT POINTS symbol_ang >= 285  AND symbol_ang < 315 AND DIP <> 'V'
POINTTEXT ducfltPT DIP UR
CLEARSELECT   
RESEL ducfltPT POINTS symbol_ang >= 315  AND symbol_ang < 345 AND DIP <> 'V'
POINTTEXT ducfltPT DIP UR


&LABEL END
